HMWKText Class Reference

the main class to read the text part of HanMac Word file More...

`#include <HMWKText.hxx>`

## Public Member Functions

| HMWKText (HMWKParser &parser)
| constructor More...
virtual | ~HMWKText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | sendMainText ()
| send the main text zone More...
bool | sendText (long id, long subId=0)
| send a text zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | updateTextZoneTypes (std::map< long, int > const &idTypeMap)
| update the text zone type with map id->type More...
std::vector< long > const & | getTokenIdList () const
| returns the list of zoneId which corresponds to the token More...
void | getHeaderFooterId (long &headerId, long &footerId) const
| return sthe header/footer id More...
bool | readTextZone (shared_ptr< HMWKZone > zone)
| try to read a text zone (type 1) More...
bool | readFontNames (shared_ptr< HMWKZone > zone)
| try to read the fonts name zone (type 5) More...
bool | readStyles (shared_ptr< HMWKZone > zone)
| try to read the style zone (type 3) More...
bool | readSections (shared_ptr< HMWKZone > zone)
| try to read a section info zone (type 4) More...
bool | sendText (HMWKZone &zone)
| try to send a text zone (type 1) More...
bool | readFont (HMWKZone &zone, MWAWFont &font)
| try to read a font in a text zone More...
bool | readParagraph (HMWKZone &zone, HMWKTextInternal::Paragraph &para)
| try to read a paragraph in a text zone More...
void | setProperty (HMWKTextInternal::Paragraph const &para, float width)
| send the ruler properties More...
bool | readToken (HMWKZone &zone, HMWKTextInternal::Token &token)
| try to read an token in a text zone More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < HMWKTextInternal::State > | m_state
| the state More...
HMWKParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| HMWKText (HMWKText const &orig)
HMWKText & | operator= (HMWKText const &orig)

## Friends

class | HMWKParser

## Detailed Description

the main class to read the text part of HanMac Word file

## Constructor & Destructor Documentation

HMWKText::HMWKText | ( | HMWKParser & | parser | ) |

constructor

HMWKText::~HMWKText | ( |  | ) |

virtual

destructor

HMWKText::HMWKText | ( | HMWKText const & | orig | ) |

private

## Member Function Documentation

void HMWKText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

send data to the listener

void HMWKText::getHeaderFooterId | ( | long & | headerId,
|  | long & | footerId
| ) |  | const

protected

return sthe header/footer id

std::vector< long > const & HMWKText::getTokenIdList | ( |  | ) | const

protected

returns the list of zoneId which corresponds to the token

int HMWKText::numPages | ( |  | ) | const

returns the number of pages

HMWKText& HMWKText::operator= | ( | HMWKText const & | orig | ) |

private

bool HMWKText::readFont | ( | HMWKZone & | zone,
|  | MWAWFont & | font
| ) |  |

protected

try to read a font in a text zone

Referenced by sendText().

bool HMWKText::readFontNames | ( | shared_ptr< HMWKZone > | zone | ) |

protected

try to read the fonts name zone (type 5)

bool HMWKText::readParagraph | ( | HMWKZone & | zone,
|  | HMWKTextInternal::Paragraph & | para
| ) |  |

protected

try to read a paragraph in a text zone

Referenced by readTextZone(), and sendText().

bool HMWKText::readSections | ( | shared_ptr< HMWKZone > | zone | ) |

protected

try to read a section info zone (type 4)

bool HMWKText::readStyles | ( | shared_ptr< HMWKZone > | zone | ) |

protected

try to read the style zone (type 3)

bool HMWKText::readTextZone | ( | shared_ptr< HMWKZone > | zone | ) |

protected

try to read a text zone (type 1)

bool HMWKText::readToken | ( | HMWKZone & | zone,
|  | HMWKTextInternal::Token & | token
| ) |  |

protected

try to read an token in a text zone

Referenced by readTextZone(), and sendText().

bool HMWKText::sendMainText | ( |  | ) |

protected

send the main text zone

bool HMWKText::sendText | ( | long | id,
|  | long | subId = `0`
| ) |  |

protected

send a text zone

Referenced by flushExtra(), and sendMainText().

bool HMWKText::sendText | ( | HMWKZone & | zone | ) |

protected

try to send a text zone (type 1)

void HMWKText::setProperty | ( | HMWKTextInternal::Paragraph const & | para,
|  | float | width
| ) |  |

protected

send the ruler properties

Referenced by sendText().

void HMWKText::updateTextZoneTypes | ( | std::map< long, int > const & | idTypeMap | ) |

protected

update the text zone type with map id->type

int HMWKText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class HMWKParser

friend

## Member Data Documentation

HMWKParser* HMWKText::m_mainParser

protected

the main parser;

Referenced by readFont(), readParagraph(), and sendText().

MWAWParserStatePtr HMWKText::m_parserState

protected

the parser state

Referenced by flushExtra(), readFont(), readFontNames(), readParagraph(), sendText(), setProperty(), and version().

shared_ptr<HMWKTextInternal::State> HMWKText::m_state

protected

the state

Referenced by flushExtra(), getHeaderFooterId(), getTokenIdList(), numPages(), readSections(), readTextZone(), sendMainText(), sendText(), updateTextZoneTypes(), and version().

The documentation for this class was generated from the following files:

- HMWKText.hxx
- HMWKText.cxx